%define lib_major 1
%define lib_name %mklibname ghttp %{lib_major}

# define to update aclocal.m4 with new libtool.m4
%define regenerate_configure 0
%ifarch x86_64 mips
%define regenerate_configure 1
%endif

Summary: GNOME http client library.
Name: libghttp
Version: 1.0.9
Release: %mkrel 9
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libghttp/libghttp-%{version}.tar.bz2
# (fc) don't use locale dependent sprintf for printing HTTP version
Patch0: libghttp-1.0.9-fixlocale.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
URL: http://www.gnome.org/

%description
Library for making HTTP 1.1 requests.

%package -n %{lib_name}
Summary: GNOME http client library.
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libghttp.

%package -n %{lib_name}-devel
Summary: GNOME http client development
Group: Development/GNOME and GTK+
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries and includes files you can use for libghttp development

%prep
%setup -q
%patch0 -p1 -b .fixlocale
%if %{regenerate_configure}
aclocal && autoconf
%endif

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-, root, root)

%doc AUTHORS COPYING README doc/ghttp.html
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/ghttp.html
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_libdir}/*a
%{_includedir}/*


%changelog
* Sun Jan 07 2007 Emmanuel Andry <eandry@mandriva.org> 1.0.9-9mdv2007.0
+ Revision: 105287
- %%mkrel
- Import libghttp



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.9-8mdk
- Rebuild

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-7mdk
- Rebuild

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.9-6mdk
- mklibname

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.9-5mdk
- rebuild for new rpm

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.9-4mdk
- Rebuild against latest gcc3.1
- Regenerate configure script with updated libtool.m4 when necessary

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- Patch0 (CVS): fix HTTP numbering (due to use of locale in sprintf)

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- rebuilt

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Wed Dec  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Provides old library name

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 1.0.7-2mdk
- new lib policy

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- release 1.0.6 (from helix)
- update BM

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.4-9mdk
- BM + macrozification

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.4-8mdk
- adjust group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Clean-Up specs.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.4.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- built with gnome-libs 0.99.2 
